Bug 22981 - Remove type attribute from script tags: Catalog
Summary: Remove type attribute from script tags: Catalog
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 22956
  Show dependency treegraph
 
Reported: 2019-05-23 17:53 UTC by Owen Leonard
Modified: 2019-05-30 10:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22981: Remove type attribute from script tags: Catalog (2.82 KB, patch)
2019-05-23 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22981: Remove type attribute from script tags: Catalog (2.90 KB, patch)
2019-05-24 01:42 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22981: Remove type attribute from script tags: Catalog (2.95 KB, patch)
2019-05-27 20:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-23 17:53:28 UTC
This patch will remove the obsolete "type" attribute from <script> tags in the following catalog templates:

 - intranet-tmpl\prog\en\modules\catalogue\advsearch.tt
 - intranet-tmpl\prog\en\modules\catalogue\itemsearch.tt
 - intranet-tmpl\prog\en\modules\catalogue\search-history.tt
Comment 1 Owen Leonard 2019-05-23 18:39:05 UTC Comment hidden (obsolete)
Comment 2 Hayley Mapley 2019-05-24 01:42:03 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-05-27 20:57:26 UTC
Created attachment 90127 [details] [review]
Bug 22981: Remove type attribute from script tags: Catalog

This patch removes the "type" attribute from <script> tags in several
catalog-related templates.

To test, apply the patch and confirm that the following work properly
without any JavaScript errors in the browser console:

 - Catalog -> Advanced search
 - Catalog -> Item search
 - Search history

Validating the HTML source of these pages should return no errors
related to the "type" attribute.

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-05-30 10:40:18 UTC
Awesome work all!

Pushed to master for 19.05